function [MLPLSDA,PLSDA] = CMV(x,y,ax,CV1_fold,CV2_fold,lv,cycles,varsel)

    disp('calculating (multilevel PLSDA) .......please wait');
    
    for i = 1:cycles     
       [Data,CV1,CV2] = CMV2(x,y,ax,CV1_fold,CV2_fold,lv,varsel);
       MLPLSDA.CV1.ypred(i,:)=CV1.ypred;
       MLPLSDA.CV1.NMC(i,1) = CV1.NMC;
       MLPLSDA.CV1.Q2(i,1) = CV1.Q2;
       MLPLSDA.CV1.AUROC(i,1) = CV1.AUROC;
       MLPLSDA.CV2.ypred(i,:)=CV2.ypred;
       MLPLSDA.CV2.NMC(i,1) = CV2.NMC;
       MLPLSDA.CV2.Q2(i,1) = CV2.Q2;
       MLPLSDA.CV2.AUROC(i,1) = CV2.AUROC;
       MLPLSDA.CV2.RP(i,:) = CV2.RP;
    end

    disp('finished calculating (multilevel PLSDA)');
    disp('calculating (ordinary PLSDA) .......please wait');  
    
    for i = 1:cycles
          
       [Data,CV1,CV2] = CMV1(x,y,ax,CV1_fold,CV2_fold,lv,varsel);
       PLSDA.CV1.ypred(i,:)=CV1.ypred;
       PLSDA.CV1.NMC(i,1) = CV1.NMC;
       PLSDA.CV1.Q2(i,1) = CV1.Q2;
       PLSDA.CV1.AUROC(i,1) = CV1.AUROC;
       PLSDA.CV2.ypred(i,:)=CV2.ypred;
       PLSDA.CV2.NMC(i,1) = CV2.NMC;
       PLSDA.CV2.Q2(i,1) = CV2.Q2;
       PLSDA.CV2.AUROC(i,1) = CV2.AUROC;
       PLSDA.CV2.RP(i,:) = CV2.RP;          
    end
    
    MLPLSDA.CV2.RP=10.^(sum(MLPLSDA.CV2.RP,1)/cycles);
    PLSDA.CV2.RP=10.^(sum(PLSDA.CV2.RP,1)/cycles);
    
    disp('finished calculating (ordinary PLSDA)');
    
end