function [variables]=CMV_CV1_optimization(variables)
        
    % Determine minimum number of components using AUROC(1CV)
    %variables.CV1.lv.min = find(mean(variables.CV1.AUROC.restset)==max(mean(variables.CV1.AUROC.restset)));
    variables.CV1.lv.min = find(mean(variables.CV1.NMC.restset)==min(mean(variables.CV1.NMC.restset)));
    variables.CV1.lv.min=variables.CV1.lv.min(1,1);

    % Determine number of backward eliminations in variable selection (1CV)
    %variables.CV1.varsel.min = find(mean(variables.CV1.AUROC.restset,2)==max(mean(variables.CV1.AUROC.restset,2)));
    variables.CV1.varsel.min = find(mean(variables.CV1.NMC.restset,2)==min(mean(variables.CV1.NMC.restset,2)));
    [dvsmin1,dvsmin2]=size(variables.CV1.varsel.min); variables.CV1.varsel.min=variables.CV1.varsel.min(1,dvsmin2);

    % Collect all prediction results (1CV)
    variables.CV1.ypred.collect = variables.CV1.ypred.all(:,variables.CV1.lv.min,variables.CV1.varsel.min);
    
end