function [varsel,varblocks,xblock,xrows,xcolumns,variables]=CMV_init1(x,lv,varsel,CV2_fold)
  
    % Test input variable selection
    if isempty(varsel); varsel=[1;1;1;1;1]; end;
    
    % Initialization x-block
    xblock=x;
    
    % Dimension matrix x
    [xrows,xcolumns]=size(x);
    
    % Part of x-variables that remain after succesive backward elimination in 1CV and 2CV
    varblocks=round((ones(5,1) * xcolumns) ./ varsel);
    
    % Initial matrixes for collecting 1CV results
    variables.CV1.Q2.restset=zeros(5,lv);
    variables.CV1.Q2.all=zeros(5,lv);
    variables.CV1.NMC.restset=zeros(5,lv);
    variables.CV1.NMC.all=zeros(5,lv);
    variables.CV1.AUROC.restset=zeros(5,lv);
    variables.CV1.AUROC.all=zeros(5,1);
    variables.CV1.ypred.all=zeros(xrows,lv,5);
    
    % Initial matrixes for collecting 2CV results
    variables.CV2.ypred.all=zeros(xrows,5);
    variables.CV2.RP.all=ones(CV2_fold,xcolumns)*xcolumns;
       
end