function [Data,CV1,CV2]=CMV_output(x,y,ax,variables)
    
    % ---------------------------------------------------------------------
    % Output
    % ---------------------------------------------------------------------

    Data.x=x;
    Data.y=y;
    Data.xaxis=ax;
    
    CV1.ypred=variables.CV1.ypred;
    CV1.NMC=variables.CV1.NMC;
    CV1.Q2=variables.CV1.Q2;
    CV1.AUROC=variables.CV1.AUROC;
    
    CV2.ypred=variables.CV2.ypred;
    CV2.NMC=variables.CV2.NMC;
    CV2.Q2=variables.CV2.Q2;
    CV2.AUROC=variables.CV2.AUROC;
    CV2.RP=sum(log10(variables.CV2.RP.all),1)/size(variables.CV2.RP.all,1);

end