function [rXw_perm,rX_perm] = CMV_perm(x,y,ax,CV1_fold,CV2_fold,lv,cycles,runs,varsel)
      
   % Determine number of rows
   [xd1]=size(x,1);

   for run=1:runs

        disp(run);
        disp('permutation test (multilevel PLSDA) .......please wait');

        yperm=y(randperm(xd1));

        for i = 1:cycles
            [Data,CV1,CV2] = CMV2(x,yperm,ax,CV1_fold,CV2_fold,lv,varsel);
            rXw_perm.CV1.ypred(i,:,run)=CV1.ypred;
            rXw_perm.CV1.NMC(i,run) = CV1.NMC;
            rXw_perm.CV1.Q2(i,run) = CV1.Q2;
            rXw_perm.CV1.AUROC(i,run) = CV1.AUROC;
            rXw_perm.CV2.ypred(i,:,run)=CV2.ypred;
            rXw_perm.CV2.NMC(i,run) = CV2.NMC;
            rXw_perm.CV2.Q2(i,run) = CV2.Q2;
            rXw_perm.CV2.AUROC(i,run) = CV2.AUROC; 
        end

        disp('finished');
        disp('permutation test (ordinary PLSDA) .......please wait'); 
        
        for i = 1:cycles
            [Data,CV1,CV2] = CMV1(x,yperm,ax,CV1_fold,CV2_fold,lv,varsel);
            rX_perm.CV1.ypred(i,:,run)=CV1.ypred;
            rX_perm.CV1.NMC(i,run) = CV1.NMC;
            rX_perm.CV1.Q2(i,run) = CV1.Q2;
            rX_perm.CV1.AUROC(i,run) = CV1.AUROC; 
            rX_perm.CV2.ypred(i,:,run)=CV2.ypred;
            rX_perm.CV2.NMC(i,run) = CV2.NMC;
            rX_perm.CV2.Q2(i,run) = CV2.Q2;
            rX_perm.CV2.AUROC(i,run) = CV2.AUROC;
        end

        disp('finished');
        
   end
        
end