function plotfigure1(X1, YMatrix1)
%CREATEFIGURE(X1,YMATRIX1)
%  X1:  vector of x data
%  YMATRIX1:  matrix of y data

% For specific use NMR_testset. Uncomment the following line for own application.
female=[1;3;6;7;12;14;15;18;19;20;22;25;27;29;30];
male=[2;4;5;8;9;10;11;13;16;17;21;23;24;26;28];

% Create figure
figure1 = figure('PaperSize',[20.98 29.68]);

% Create axes
axes('Parent',figure1,'YTick',zeros(1,0),'XDir','reverse');
% Uncomment the following line to preserve the X-limits of the axes
% xlim([-1.5 10]);
% Uncomment the following line to preserve the Y-limits of the axes
% ylim([-0.25 1.25]);
box('on');
hold('all');

% Create multiple lines using matrix input to plot
plot(X1,YMatrix1(female,:),'b');
plot(X1,YMatrix1(male,:),'r');

% Create xlabel
xlabel('chemical shift (ppm)','FontWeight','bold');

