function plotfigure4(X1, Y1)
%CREATEFIGURE(X1,Y1)
%  X1:  vector of x data
%  Y1:  vector of y data

% For specific use NMR_testset. Uncomment the following line for own application.
female=[1;3;6;7;12;14;15;18;19;20;22;25;27;29;30];
male=[2;4;5;8;9;10;11;13;16;17;21;23;24;26;28];

% Create figure
figure1 = figure('PaperSize',[20.98 29.68]);

% Create axes
axes('Parent',figure1);
% Uncomment the following line to preserve the X-limits of the axes
%xlim([-0.15 0.15]);
%ylim([-0.17 0.17]);
box('on');
hold('all');

% Create plot
plot(X1(male),Y1(male),'MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],...
    'MarkerSize',8,...
    'Marker','square',...
    'LineStyle','none',...
    'Color',[0 0 0]);

% Create plot
plot(X1(female),Y1(female),'MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],...
    'MarkerSize',8,...
    'Marker','v',...
    'LineStyle','none',...
    'Color',[1 0 0]);

% Create xlabel
xlabel('PC1','FontWeight','bold');

% Create ylabel
ylabel('PC2','FontWeight','bold');

