function plotfigure7(X1, Y1)
%CREATEFIGURE(X1,Y1)
%  X1:  vector of x data
%  Y1:  vector of y data

% Create figure
figure1 = figure('PaperType','a4letter','PaperSize',[20.98 29.68]);

% Create axes
axes('Parent',figure1,'YTickLabel',{'0','10','100','1000'},'YScale','log',...
    'YMinorTick','on',...
    'XDir','reverse',...
    'Position',[0.1125 0.11 0.8608 0.815]);
% Uncomment the following line to preserve the X-limits of the axes
% xlim([-1.5 10]);
box('on');
hold('all');

% Create semilogy
semilogy(X1,Y1);

% Create xlabel
xlabel('Chemical shift (ppm)','FontWeight','bold');

% Create ylabel
ylabel('RP^1^/^2^0','FontWeight','bold','FontName','Arial');

