function [Designmatrix,Designmatrix_rows]=CMV_designmatrix(samples,fold)

    % Test input
    if fold > samples
        fold = samples ;
    end
    
    % Initialization Designmatrix
    Designmatrix=zeros(samples,fold);
    
    % Assignment testset samples and restset samples (CV2)
    for i=1:fold
        k=0;
        j=0;
        while k <= (samples-fold)
            k=i+(j*fold);
            j=j+1;
            Designmatrix(k,i)=1;
        end
    end

    % Randomise order within 2CV-designmatrix
    Designmatrix_rows=size(Designmatrix,1);    
    Designmatrix=Designmatrix(randperm(Designmatrix_rows),:);
        
end