function [x1,x2]=CMV_ranking_b(b,lv,nr_of_var,CV1_rank,x1,x2)
                
    % Generate absolute values for b and reverse b
    CV1_b_abs = -1 * abs(b);

    % Assigning ranks of b's
    [DUMMY,rank2] = sort(CV1_b_abs,2);

    % Determine ranking of variables for each b
    for i=1:lv
        CV1_rank(i,rank2(i,:))=[1:nr_of_var];
    end

    % Determine ranking of variables over all b's (mean)
    if lv==1
       [DUMMY,CV1_rank_mean]=sort(CV1_rank);
    else
       [DUMMY,CV1_rank_mean]=sort(mean(CV1_rank));
    end

    % Rank trainingset and validationset
    x1=x1(:,CV1_rank_mean);
    x2=x2(:,CV1_rank_mean);

end