function plotfigure3(X1,Y1)
%CREATEFIGURE(X1,Y1)
%  X1:  vector of x data
%  Y1:  vector of y data

% Create figure
figure1 = figure('PaperSize',[20.98 29.68]);

% Create axes
axes('Parent',figure1,'XDir','reverse');
% Uncomment the following line to preserve the X-limits of the axes
% xlim([-1 10]);
box('on');
hold('all');

% Create plot
plot(X1,Y1(1,:),'g');
plot(X1,Y1(31,:),'k');

% Create xlabel
xlabel('Chemical shift (ppm)','FontWeight','bold');

