function plotfigure8(xvector1, yvector1, X1)
%CREATEFIGURE(XVECTOR1,YVECTOR1,X1)
%  XVECTOR1:  bar xvector
%  YVECTOR1:  bar yvector
%  X1:  vector of x data

% Create figure
figure1 = figure('PaperSize',[20.98 29.68]);

% Create axes
axes('Parent',figure1);
% Uncomment the following line to preserve the X-limits of the axes
xlim([-5 60]);
box('on');
hold('all');

% Create bar
bar(xvector1,yvector1);

% Create xlabel
xlabel('number of misclassifications (NMC)','FontWeight','bold');

% Create ylabel
ylabel('Frequency','FontWeight','bold');

% Create plot
plot(X1,0,'MarkerSize',48,'Marker','.','LineStyle','none','Color',[1 0 0]);

